<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#

namespace Platiti\GPWebPayGpeNs\WooCommerce;

use Platiti\GPWebPayGpeNs\UniModul\SessionInterface;
use Platiti\GPWebPayGpeNs\UniModul\UniLogger;

class WCSession implements SessionInterface {

	/** @var UniLogger */
	protected $logger;

	/**
	 * @param UniLogger $logger
	 */
	public function __construct($logger) {
		$this->logger = $logger;
	}

	public function get($name, $default = null) {
		if (WC()->session === null) {
			$this->logger->writeLog("WARN: ADAPTER Session not available");
			return null;
		}
		return WC()->session->get($name, $default);
	}

	public function set($name, $value) {
		if (WC()->session === null) {
			$this->logger->writeLog("WARN: ADAPTER Session not available");
			return;
		}
		WC()->session->set($name, $value);
	}

	public function has($name) {
		if (WC()->session === null) {
			$this->logger->writeLog("WARN: ADAPTER Session not available");
			return false;
		}
		return WC()->session->__isset($name);
	}

	public function remove($name) {
		if (WC()->session === null) {
			$this->logger->writeLog("WARN: ADAPTER Session not available");
			return;
		}
		WC()->session->__unset($name);
	}

}